3U Holding AG

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/3u-holding-ag/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1755129600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.3u.net/en/newsroom/latest-news/corporate-news/3u-holding-ag-sound-development-of-business-in-the-first-half-of-2025-despite-a-challenging-environment/",
    "holding_balance": 358.3,
    "holding_net_change": 27.3,
    "transaction_value_usd": 3232152.378,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1762819200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.3u.net/en/newsroom/latest-news/corporate-news/3u-holding-ag-performance-at-the-end-of-nine-months-paints-a-mixed-picture/",
    "holding_balance": 363.2,
    "holding_net_change": 4.9,
    "transaction_value_usd": 504613.319,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1764201600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.3u.net/en/",
    "holding_balance": 427.1,
    "holding_net_change": 63.9,
    "transaction_value_usd": 5834985.687,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    427.1
  ],
  [
    1779062400000,
    427.1
  ],
  [
    1779148800000,
    427.1
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    33070293.206
  ],
  [
    1779062400000,
    32862897.717
  ],
  [
    1779148800000,
    32784200.271
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.08,
    "date": "2026-05-15",
    "high": 1.165,
    "open": 1.165,
    "close": 1.135,
    "volume": 10243
  },
  {
    "low": 1.125,
    "date": "2026-05-18",
    "high": 1.14,
    "open": 1.135,
    "close": 1.125,
    "volume": 4489
  },
  {
    "low": 1.135,
    "date": "2026-05-19",
    "high": 1.135,
    "open": 1.135,
    "close": 1.135,
    "volume": 2000
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0.503,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -2.58,
  "six_month_return": -17.45,
  "three_month_return": -1.3
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/3u-holding-ag/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 78.5,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "down"
}